Package com.xebialabs.xlrelease.api.v1.filter

## Class ReservationFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.filter.ReservationFilters

-     public class ReservationFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReservationFilters()` |
    `ReservationFilters​(java.lang.String environmentTitle, java.util.List<java.lang.String> stages, java.util.List<java.lang.String> labels, java.util.List<java.lang.String> applications, java.util.Date from, java.util.Date to)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getApplications()` |
    `java.lang.String` | `getEnvironmentTitle()` |
    `java.util.Date` | `getFrom()` |
    `java.util.List<java.lang.String>` | `getLabels()` |
    `java.util.List<java.lang.String>` | `getStages()` |
    `java.util.Date` | `getTo()` |
    `void` | `setApplications​(java.util.List<java.lang.String> applications)` |
    `void` | `setEnvironmentTitle​(java.lang.String environmentTitle)` |
    `void` | `setFrom​(java.util.Date from)` |
    `void` | `setLabels​(java.util.List<java.lang.String> labels)` |
    `void` | `setStages​(java.util.List<java.lang.String> stages)` |
    `void` | `setTo​(java.util.Date to)` |
    `void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationFilters

          public ReservationFilters()

    - #### ReservationFilters

          public ReservationFilters​(java.lang.String environmentTitle,
                                    java.util.List<java.lang.String> stages,
                                    java.util.List<java.lang.String> labels,
                                    java.util.List<java.lang.String> applications,
                                    java.util.Date from,
                                    java.util.Date to)

  - ### Method Detail

    - #### validate

          public void validate()

    - #### getEnvironmentTitle

          public java.lang.String getEnvironmentTitle()

    - #### setEnvironmentTitle

          public void setEnvironmentTitle​(java.lang.String environmentTitle)

    - #### getStages

          public java.util.List<java.lang.String> getStages()

    - #### setStages

          public void setStages​(java.util.List<java.lang.String> stages)

    - #### getApplications

          public java.util.List<java.lang.String> getApplications()

    - #### setApplications

          public void setApplications​(java.util.List<java.lang.String> applications)

    - #### getLabels

          public java.util.List<java.lang.String> getLabels()

    - #### setLabels

          public void setLabels​(java.util.List<java.lang.String> labels)

    - #### getFrom

          public java.util.Date getFrom()

    - #### setFrom

          public void setFrom​(java.util.Date from)

    - #### getTo

          public java.util.Date getTo()

    - #### setTo

          public void setTo​(java.util.Date to)